#ifndef PURIFY_CPP_CONFIG_H
#define PURIFY_CPP_CONFIG_H

//! Problems with using and constructors
/* #undef PURIFY_HAS_USING */
#ifndef PURIFY_HAS_USING
#define PURIFY_HAS_NOT_USING
#endif

//! Whether to do openmp
#define PURIFY_OPENMP

//! Whether FFTW has openmp
/* #undef PURIFY_OPENMP_FFTW */

//! Whether PURIFY is running with mpi
#define PURIFY_MPI

//! Whether PURIFY is running with arrayfire
/* #undef PURIFY_ARRAYFIRE */

//! Whether PURIFY is running with CImg
/* #undef PURIFY_CImg */

//! Whether PURIFY is running with casacore
/* #undef PURIFY_CASACORE */

#include <string>
#include <tuple>
#include <cstdint>

namespace purify {
//! Returns library version
inline std::string version() { return "3.1.0"; }
//! Returns library version
inline std::tuple<uint8_t, uint8_t, uint8_t> version_tuple() {
  // clang-format off
  return std::tuple<uint8_t, uint8_t, uint8_t>(
      3, 1, 0);
  // clang-format on
}
//! Returns library git reference, if known
inline std::string gitref() { return "NA"; }
//! Default logging level
inline std::string default_logging_level() { return "critical"; }
} // namespace purify

#endif
